apiVersion: extensions.hive.openshift.io/v1beta1
kind: AgentClusterInstall
metadata:
  annotations:
    agent-install.openshift.io/install-config-overrides: '{"networking":{"networkType":"OVNKubernetes"}}'
    argocd.argoproj.io/sync-wave: '1'
    argocd.argoproj.io/tracking-id: >-
      cluster-provisioner:extensions.hive.openshift.io/AgentClusterInstall:etsl-oc-005-sbx/etsl-oc-005-sbx
    kubectl.kubernetes.io/last-applied-configuration: >
      {"apiVersion":"extensions.hive.openshift.io/v1beta1","kind":"AgentClusterInstall","metadata":{"annotations":{"agent-install.openshift.io/install-config-overrides":"{\"networking\":{\"networkType\":\"OVNKubernetes\"}}","argocd.argoproj.io/sync-wave":"1","argocd.argoproj.io/tracking-id":"cluster-provisioner:extensions.hive.openshift.io/AgentClusterInstall:etsl-oc-005-sbx/etsl-oc-005-sbx","ran.openshift.io/ztp-gitops-generated":"{}"},"name":"etsl-oc-005-sbx","namespace":"etsl-oc-005-sbx"},"spec":{"apiVIP":"172.24.126.152","clusterDeploymentRef":{"name":"etsl-oc-005-sbx"},"imageSetRef":{"name":"img4.12.26-x86-64-appsub"},"ingressVIP":"172.24.126.153","manifestsConfigMapRef":{"name":"etsl-oc-005-sbx"},"networking":{"clusterNetwork":[{"cidr":"10.214.0.0/18","hostPrefix":23}],"serviceNetwork":["10.214.64.0/19"]},"provisionRequirements":{"controlPlaneAgents":3,"workerAgents":3},"sshPublicKey":"ssh-rsa
      <REDACTED FOR SUPPORT CASE>"}}
    ran.openshift.io/ztp-gitops-generated: '{}'
  resourceVersion: '448765'
  name: etsl-oc-005-sbx
  uid: 0e9c3524-bdf8-484f-b0bd-1e453c09851d
  creationTimestamp: '2023-08-21T16:57:54Z'
  generation: 3
  managedFields:
    - apiVersion: extensions.hive.openshift.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:agent-install.openshift.io/install-config-overrides': {}
            'f:argocd.argoproj.io/sync-wave': {}
            'f:argocd.argoproj.io/tracking-id': {}
            'f:ran.openshift.io/ztp-gitops-generated': {}
          'f:labels':
            .: {}
            'f:velero.io/backup-name': {}
            'f:velero.io/restore-name': {}
        'f:spec':
          'f:sshPublicKey': {}
          'f:clusterDeploymentRef':
            .: {}
            'f:name': {}
          'f:networking':
            .: {}
            'f:clusterNetwork': {}
            'f:serviceNetwork': {}
            'f:userManagedNetworking': {}
          'f:manifestsConfigMapRef':
            .: {}
            'f:name': {}
          .: {}
          'f:provisionRequirements':
            .: {}
            'f:controlPlaneAgents': {}
          'f:clusterMetadata':
            .: {}
            'f:adminKubeconfigSecretRef':
              .: {}
              'f:name': {}
            'f:adminPasswordSecretRef':
              .: {}
              'f:name': {}
            'f:clusterID': {}
            'f:infraID': {}
          'f:apiVIP': {}
          'f:imageSetRef':
            .: {}
            'f:name': {}
          'f:ingressVIP': {}
      manager: velero-server
      operation: Update
      time: '2023-08-21T16:57:54Z'
    - apiVersion: extensions.hive.openshift.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"agentclusterinstall.agent-install.openshift.io/ai-deprovision"': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"8ce58bf7-0964-4914-bde7-43f817c0a97c"}': {}
      manager: assisted-service
      operation: Update
      time: '2023-08-21T16:58:54Z'
    - apiVersion: extensions.hive.openshift.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:kubectl.kubernetes.io/last-applied-configuration': {}
        'f:spec':
          'f:provisionRequirements':
            'f:workerAgents': {}
      manager: argocd-controller
      operation: Update
      time: '2023-08-21T20:05:23Z'
    - apiVersion: extensions.hive.openshift.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:platformType': {}
          'f:progress':
            .: {}
            'f:totalPercentage': {}
          'f:conditions': {}
          'f:debugInfo':
            .: {}
            'f:eventsURL': {}
            'f:logsURL': {}
            'f:state': {}
            'f:stateInfo': {}
          .: {}
          'f:apiVIP': {}
          'f:ingressVIPs': {}
          'f:ingressVIP': {}
          'f:apiVIPs': {}
      manager: assisted-service
      operation: Update
      subresource: status
      time: '2023-08-21T20:15:37Z'
  namespace: etsl-oc-005-sbx
  ownerReferences:
    - apiVersion: hive.openshift.io/v1
      kind: ClusterDeployment
      name: etsl-oc-005-sbx
      uid: 8ce58bf7-0964-4914-bde7-43f817c0a97c
  finalizers:
    - agentclusterinstall.agent-install.openshift.io/ai-deprovision
  labels:
    velero.io/backup-name: acm-managed-clusters-schedule-20230821140030
    velero.io/restore-name: onetime-restore-full-acm-managed-clusters-schedule-202308d96aa8
spec:
  apiVIP: 172.24.126.152
  provisionRequirements:
    controlPlaneAgents: 3
    workerAgents: 3
  ingressVIP: 172.24.126.153
  clusterMetadata:
    adminKubeconfigSecretRef:
      name: etsl-oc-005-sbx-admin-kubeconfig
    adminPasswordSecretRef:
      name: etsl-oc-005-sbx-admin-password
    clusterID: c664af68-d54e-4439-a34b-4b331a16410e
    infraID: 69f4c5cf-2903-48a6-b7d2-1baec1a68714
  imageSetRef:
    name: img4.12.26-x86-64-appsub
  sshPublicKey: >-
    ssh-rsa
    <REDACTED FOR SUPPORT CASE>
  networking:
    clusterNetwork:
      - cidr: 10.214.0.0/18
        hostPrefix: 23
    serviceNetwork:
      - 10.214.64.0/19
    userManagedNetworking: false
  clusterDeploymentRef:
    name: etsl-oc-005-sbx
  manifestsConfigMapRef:
    name: etsl-oc-005-sbx
status:
  apiVIP: 172.24.126.152
  apiVIPs:
    - 172.24.126.152
  conditions:
    - lastProbeTime: '2023-08-21T20:15:37Z'
      lastTransitionTime: '2023-08-21T20:15:37Z'
      message: >-
        The Spec could not be synced due to an input error: Failed to parse
        'agent-install.openshift.io/install-config-overrides' annotation: error
        while adding Platfom baremetal to install config, error is: Failed to
        find machine networks for baremetal cluster
        02b0170f-034f-4df8-8698-4dde2f45f96a
      reason: InputError
      status: 'False'
      type: SpecSynced
    - lastProbeTime: '2023-08-21T16:58:54Z'
      lastTransitionTime: '2023-08-21T16:58:54Z'
      message: The cluster requirements are met
      reason: ClusterAlreadyInstalling
      status: 'True'
      type: RequirementsMet
    - lastProbeTime: '2023-08-21T16:58:54Z'
      lastTransitionTime: '2023-08-21T16:58:54Z'
      message: The cluster's validations are passing
      reason: ValidationsPassing
      status: 'True'
      type: Validated
    - lastProbeTime: '2023-08-21T16:58:54Z'
      lastTransitionTime: '2023-08-21T16:58:54Z'
      message: >-
        The installation has completed: cluster is adding hosts to existing OCP
        cluster
      reason: InstallationCompleted
      status: 'True'
      type: Completed
    - lastProbeTime: '2023-08-21T16:58:54Z'
      lastTransitionTime: '2023-08-21T16:58:54Z'
      message: The installation has not failed
      reason: InstallationNotFailed
      status: 'False'
      type: Failed
    - lastProbeTime: '2023-08-21T16:58:54Z'
      lastTransitionTime: '2023-08-21T16:58:54Z'
      message: The installation has stopped because it completed successfully
      reason: InstallationCompleted
      status: 'True'
      type: Stopped
  debugInfo:
    eventsURL: >-
      https://assisted-service-multicluster-engine.apps.etsl-om-001-sbx.lab.ent.corp/api/assisted-install/v2/events?api_key=eyJhbGciOiJFUzI1NiIsInR5cCI6IkpXVCJ9.eyJjbHVzdGVyX2lkIjoiMDJiMDE3MGYtMDM0Zi00ZGY4LTg2OTgtNGRkZTJmNDVmOTZhIn0.47p_pY1wsz5yxxQNKg8RIOMmYXuDJeBOMcWCBF1r-vLI75vp-4nNkrKez7HTLhKUaOW3fb_a8a-go7Htr8lKTA&cluster_id=02b0170f-034f-4df8-8698-4dde2f45f96a
    logsURL: ''
    state: adding-hosts
    stateInfo: cluster is adding hosts to existing OCP cluster
  ingressVIP: 172.24.126.153
  ingressVIPs:
    - 172.24.126.153
  platformType: BareMetal
  progress:
    totalPercentage: 0